package org.rcisoft.common.component;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @author Liushuaiyang
 */
@Component
@Data
public class OssGlobal {

    // oss-request
    @Value("${oss.request}")
    private String request;
    // oss-endpoint
    @Value("${oss.endpoint}")
    private String endpoint;
    // oss-bucket
    @Value("${oss.bucket}")
    private String bucket;
    // oss-regionId
    @Value("${oss.regionId}")
    private String regionId;
    // oss-put-acess_key
    @Value("${oss.put.acess_key}")
    private String putAcessKey;
    // oss-put-secret_key
    @Value("${oss.put.secret_key}")
    private String putSecretKey;
    // oss-put-ran
    @Value("${oss.put.ram}")
    private String putRam;
    // oss-read-acess_key
    @Value("${oss.read.acess_key}")
    private String readAcessKey;
    // oss-read-secret_key
    @Value("${oss.read.secret_key}")
    private String readSecretKey;
    // oss-read-read_time
    @Value("${oss.read.read_time}")
    private Integer readTime;
}
